Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente
Class DipendenteRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente.DipendenteRequest

    public class DipendenteRequest

extends java.lang.Object

Filtri di ricerca del dipendente per il servizio getDipendente. La ricerca verrà eseguita per codice fiscale o, in alternativa, numMatricola, codAziendaSanitaria e tipoAziendaSanitaria.

Field Summary
`private java.lang.String` | `codAziendaSanitaria` Codice nazionale azienda sanitaria.
`private java.lang.String` | `codiceFiscale` Codice fiscale.
`private java.lang.Long` | `numMatricola` Numero di matricola.
`private java.lang.Integer` | `tipoAziendaSanitaria` Tipo azienda sanitaria.

Constructor Summary
`DipendenteRequest()`

Method Summary
`java.lang.String` | `getCodAziendaSanitaria()`
`java.lang.String` | `getCodiceFiscale()`
`java.lang.Long` | `getNumMatricola()`
`java.lang.Integer` | `getTipoAziendaSanitaria()`
`void` | `setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setNumMatricola(java.lang.Long numMatricola)`
`void` | `setTipoAziendaSanitaria(java.lang.Integer tipoAziendaSanitaria)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?")
    @MinOccurs(value=0L)
    private java.lang.String codiceFiscale

  Codice fiscale.

### numMatricola

    @Facets(totalDigits=10L)
    @MinOccurs(value=0L)
    private java.lang.Long numMatricola

  Numero di matricola.

### codAziendaSanitaria

    @Facets(maxLength=6L,
            pattern="[0-9]+")
    @MinOccurs(value=0L)
    private java.lang.String codAziendaSanitaria

  Codice nazionale azienda sanitaria.

### tipoAziendaSanitaria

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoAziendaSanitaria

  Tipo azienda sanitaria. Può assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

Constructor Detail

### DipendenteRequest

    public DipendenteRequest()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setNumMatricola

    public void setNumMatricola(java.lang.Long numMatricola)

### getNumMatricola

    public java.lang.Long getNumMatricola()

### setCodAziendaSanitaria

    public void setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)

### getCodAziendaSanitaria

    public java.lang.String getCodAziendaSanitaria()

### setTipoAziendaSanitaria

    public void setTipoAziendaSanitaria(java.lang.Integer tipoAziendaSanitaria)

### getTipoAziendaSanitaria

    public java.lang.Integer getTipoAziendaSanitaria()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD